## texlive-base 2014.20140717

=== regressiontests/Makefile ===
# This is a regression-test framework for tex.
#
# The idea is as follows:
#
# 1. there is a reference revision on which a unittest runs as expected.
# 2. there is a way to generate the reference image (to pdf and to png)
# 3. you can compile the actual image
# 4. you can "diff" the actual image and the reference (and view the difference)
# 5. you can create a log of the single results and diffs
#
# This makefile can do all of these steps.
#
# The references can be generated with
# >> make references
# References are stored in a sub-folder called "references". You can *REMOVE* this directory
# to clean references.
#
# References are compiled using different revisions of the code; they are checked out into /tmp. 
#
#
# HOW TO WRITE TESTS
# Simply write a minimal, self-contained .tex file (say, unittest_42.tex) in this directory. It can have multiple
# pages.
# 
# If a test contains \FIXIT, it is marked as "this test is known to be broken - test issue"
#
#
# If your example needs a specific reference revision, create a file <base>.checkoutreferencerev.sh which contains something
# like "git checkout 1.3.1" . It will be invoked to checkout the reference revision.
#
# If your example needs a specific command to translate it, create a file <base>.compile.sh which runs it. Its first argument will be the base file name (without .tex).
#
# Then, type "make unittest_42.diff" to create reference, actual, and difference.
#
# Typing 'make' will make all unittests (all *.tex files in this directory).
#  
# COMPILING TESTS
# 1. compile reference, actual, and diff:
# >> make unittest_polar_7.diff
# 2. compile reference only
# >> make references/unittest_polar_7.pdf
# 3. compile actual only
# >> make unittest_polar_7.pdf
#
# The makefile will avoid re-creation of test cases in order to allow concentrate on failures.
# If you want to remake tests, you can either type 
# >> make clean
# or you can use the (standard) make feature 
# >> make unittest_polar_7.diff -B
# which forces remake, even if modtimes are unchanged 
#
#
# SPECIALTIES:
# create a file unittest_*.diff.accepted containing accepted diff results 
# (in case you approved that they are "not an error"). 
# The file should contain what the failure-output of the 'make test.diff' target.

UNIT_SOURCES=$(wildcard unittest_*.tex)

UNIT_PDFS=$(UNIT_SOURCES:.tex=.pdf)
DIFF_MEASURES=$(UNIT_SOURCES:.tex=.diff)

# REQUIRES apcalc package ('calc' executable)
ACCEPTED_NORMALIZED_ERROR=5e-4
DIRECTORY_FOR_ACCEPTED_ERRORS=./pgfplotsUTaccepted

INCLUDE_GRAPHICS_FROM_DIR_DIRECTORY=plotdata/risingdrop3d.png plotdata/plotgraphics3dsurf.png

# -------------------------------------------------
# stuff for references:
# allow dynamic creation of reference files. I have never used something else.
ENABLE_DYNAMIC_REFERENCES=1

STATISTICS=$$(ls unittest_*.pdf | wc -l)/$$(ls unittest_*.tex | wc -l) [F=$$(find -maxdepth 1 -name 'unittest_*.diff.png' | wc -l)]

UNIT_PDF_REFERENCES=$(UNIT_SOURCES:%.tex=references/%.pdf)
WORKING_DIR=$(shell pwd)
PGFPLOTS_GIT_BASEDIR=$(WORKING_DIR:source/latex/pgfplots/pgfplotstest/regressiontests=)
TMP_REPOSITORY=/tmp/pgfplots_copy
DEFAULT_REFERENCE_BRANCH:=$(shell git describe --tags HEAD)

PGF_CVS_PATH=~/code/tex/pgf
PGF_REFERENCE_PATH=$(PGF_CVS_PATH)
#PGF_REFERENCE_PATH=~/code/tex/pgf_2.10/tex
#PGF_REFERENCE_PATH=~/code/tex/pgf_3.0.0/tex

.PRECIOUS:  $(UNIT_SOURCES:%.tex=%.checkoutreferencerev.sh) $(UNIT_SOURCES:%.tex=%.compile.sh) $(UNIT_PDF_REFERENCES) $(UNIT_SOURCES:%.tex=%.pdf)

AUTO_INDENT_PIPE=2>&1 | sed -e 's/^/  /'
$(shell mkdir -p gnuplot references/gnuplot references/plotdata)
# -------------------------------------------------

.NOTPARALLEL:

# .PRECIOUS: $(UNIT_PNGS)

.PHONY: references pdf png  cleanX clean setupdirs

diff: $(DIFF_MEASURES) 

pdf: $(UNIT_PDFS) 

clean: cleanX
	rm -fr references 

# clean all except for references:
cleanX:
	rm -fr $(DIFF_MEASURES) $(UNIT_PDFS) unittest*.png $(DIRECTORY_FOR_ACCEPTED_ERRORS)

%.diff.png: %.diff
	@

%.diff: %.pdf references/%.pdf
	@echo "$<: diffing --> $@ ..."
	@./pdfdiff.sh $< references/$< $@
	@if [ "`cat $@`" = "0 (0)" ]; then \
		echo "  PASSED: no differences detected (removing superfluos diff-pngs)"; \
		rm -f $@.png $<.png $(DIRECTORY_FOR_ACCEPTED_ERRORS)/$@ $(DIRECTORY_FOR_ACCEPTED_ERRORS)/$@.png; # no need to keep the images (the latter for multi-page mode). \
	else \
		#echo "$<: found nonzero pixel differences `cat $@`."; \
		sed -e 's/.*(\(.*\)).*/\1/' < $@  > $@.normalized || exit 1; \
		NORMALIZED=`cat $@.normalized`; \
		rm -f $@.normalized; \
		calc -p "$$NORMALIZED < $(ACCEPTED_NORMALIZED_ERROR)" > $@.isaccepted || ( echo "calc invocation failed. Please ensure that apcalc package is installed."; exit 1 ); \
		if [ ! -f $@.accepted -a "`cat $@.isaccepted`" = "1" ]; then \
			echo "  PASSED: only approved differences `cat $@` detected and no *.accepted (less than $(ACCEPTED_NORMALIZED_ERROR); moving superfluos diff-pngs to $(DIRECTORY_FOR_ACCEPTED_ERRORS))"; \
			mkdir -p $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			mv $@.png $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			cp $@ $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			rm -f $@.png $<.png; # no need to keep the images (the latter for multi-page mode). \
		elif [ -f $@.accepted -a "`cat $@`" = "`cat $@.accepted`" ]; then \
			echo "  PASSED: only manually approved differences `cat $@` detected (moving superfluos diff-pngs to $(DIRECTORY_FOR_ACCEPTED_ERRORS))"; \
			mkdir -p $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			mv $@.png $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			cp $@ $(DIRECTORY_FOR_ACCEPTED_ERRORS); \
			rm -f $@.png $<.png; # no need to keep the images (the latter for multi-page mode). \
		else \
			echo "  FAILURE: found pixel differences for $<: " `cat $@`; \
			echo "  (if not a bug: 'echo \"`cat $@`\" > $@.accepted')"; \
			echo "  Call './displayDiff.sh $@.png' (see summarize of regressions.sh)"; \
			rm $@; # make sure it will be recomputed! \
			false; \
		fi; \
		CODE=$$?; \
		rm -f $@.isaccepted; \
		exit $$CODE; \
	fi
		


#	convert $< -append $@
#	@diff $@ references/$@; \
#	if [ ! $$? -eq 0 ]; then \
#		echo 'convert "$@" "references/$@" -compose difference -composite -colorspace gray miff:- | display' > $(@:.png=.regression.sh); \
#		echo "echo $@" >> regressions.sh; \
#		echo "sh $(@:.png=.regression.sh)" >> regressions.sh; \
#		echo "$@ WAS UNEXPECTED. See regressions.sh"; \
#		touch -t 01010000 $@; # make sure its older MMDDHHSS\
#		false;\
#	fi
	
		

references: $(UNIT_PDF_REFERENCES)

%.checkoutreferencerev.sh:
	@if [ ! -f $@ ]; then pwd; echo "generating $@ (with $(DEFAULT_REFERENCE_BRANCH))..."; echo "git checkout $(DEFAULT_REFERENCE_BRANCH)" > $@ || exit 1; fi

ifeq ($(ENABLE_DYNAMIC_REFERENCES),1)

references/%.pdf: %.tex %.checkoutreferencerev.sh %.compile.sh
	@echo "$<: generating $@"; \
	REFERENCE_SCRIPT=$(<:.tex=.checkoutreferencerev.sh);\
	#echo "  checking out reverence revision to $(TMP_REPOSITORY)..."; \
	if [ ! -d $(TMP_REPOSITORY) ]; then \
		cd $(dir $(TMP_REPOSITORY)) || exit 1; \
		git clone $(PGFPLOTS_GIT_BASEDIR) $(notdir $(TMP_REPOSITORY)) || exit 1; \
	fi; \
	cd $(TMP_REPOSITORY) || exit 1; \
	git reset --hard >/dev/null 2>&1; \
	cat $(WORKING_DIR)/$$REFERENCE_SCRIPT $(AUTO_INDENT_PIPE); \
	sh $(WORKING_DIR)/$$REFERENCE_SCRIPT  1>/dev/null 2>&1; \
	if [ $$? -ne 0 ]; then \
		echo "CHECKOUT FAILED." $(AUTO_INDENT_PIPE); \
		echo "(cleaning $(TMP_REPOSITORY))..." $(AUTO_INDENT_PIPE); \
		rm -fr $(TMP_REPOSITORY); \
		exit 1; \
	fi
	@#./patch_repository.sh $(TMP_REPOSITORY)
	@cd references || exit 1;\
	export TEXINPUTS=.:..:$(TMP_REPOSITORY)/tex//:$(PGF_REFERENCE_PATH)/generic//:$(PGF_REFERENCE_PATH)/latex//:$(TEXINPUTS); \
	echo "export TEXINPUTS=$${TEXINPUTS}:\$$TEXINPUTS" $(AUTO_INDENT_PIPE); \
	echo "cd references && \"compile $<\" ..." $(AUTO_INDENT_PIPE); \
	# create *.diff.png -> this makes it much more visible that it failed: \
	bash ../$(<:.tex=.compile.sh) $(<:.tex=) 1>$(<:.tex=.log.all) 2>&1 || \
		( sh ../../scripts/compile_failed.sh "../$<" "$@" "\nPlease check $(<:.tex=.checkoutreferencerev.sh)" $(AUTO_INDENT_PIPE); exit 1 )

else
#disable dynamic reference (re-)creation:
references/%.pdf: %.tex 
	@if [ ! -f $@ ]; then echo "  REFERENCE IS MISSING AND CAN'T BE CREATED AUTOMATICALLY (ENABLE_DYNAMIC_REFERENCES=0)"; exit 1; fi

endif

# make sure this rule is AFTER references/%.pdf !
%.pdf: %.tex %.compile.sh $(INCLUDE_GRAPHICS_FROM_DIR_DIRECTORY)
	@echo "$(STATISTICS) $@: recompiling $< ..."
	@rm -f $@; bash ./$(@:.pdf=.compile.sh) $(<:.tex=) 1>$(<:.tex=.log.all) 2>&1  || \
		( sh ../scripts/compile_failed.sh "$<" "$@" "" $(AUTO_INDENT_PIPE); exit 1 )

%.compile.sh:
	@if [ ! -f $@ ]; then echo "generating default $@ ..."; echo 'pdflatex -shell-escape -interaction batchmode -halt-on-error "$$@"' > $@; fi

# temporary links to graphics which are in the doc directory:
# see $(INCLUDE_GRAPHICS_FROM_DIR_DIRECTORY)
plotdata/%: 
	cd plotdata && ln -fs ../../../../../../doc/latex/pgfplots/plotdata/$(notdir $@)

=== texmf-dist/source/luatex/luaotfload/Makefile ===
# Makefile for luaotfload

NAME		= luaotfload

DOCSRCDIR	= ./doc
SCRIPTSRCDIR	= ./scripts
SRCSRCDIR	= ./src
BUILDDIR	= ./build
MISCDIR		= ./misc

SRC		= $(wildcard $(SRCSRCDIR)/luaotfload-*.lua)
SRC		+= $(SRCSRCDIR)/luaotfload.sty
SRC		+= $(MISCDIR)/luaotfload-blacklist.cnf

VGND		= $(MISCDIR)/valgrind-kpse-suppression.sup
CONFDEMO	= $(MISCDIR)/luaotfload.conf.example

GLYPHSCRIPT	= $(SCRIPTSRCDIR)/mkglyphlist
CHARSCRIPT	= $(SCRIPTSRCDIR)/mkcharacters
STATUSSCRIPT	= $(SCRIPTSRCDIR)/mkstatus

GLYPHSOURCE	= $(BUILDDIR)/glyphlist.txt

RESOURCESCRIPTS = $(GLYPHSCRIPT) $(CHARSCRIPT) $(STATUSSCRIPT)

TOOLNAME	= luaotfload-tool
TOOL		= $(SRCSRCDIR)/$(TOOLNAME).lua

CONFNAME	= luaotfload.conf

GRAPH		= filegraph
DOCSRC		= $(addprefix $(DOCSRCDIR)/$(NAME), -main.tex -latex.tex)
GRAPHSRC	= $(DOCSRCDIR)/$(GRAPH).dot
MANSRC		= $(DOCSRCDIR)/$(TOOLNAME).rst $(DOCSRCDIR)/$(CONFNAME).rst

DOCPDF		= $(DOCSRCDIR)/$(NAME).pdf
DOTPDF		= $(DOCSRCDIR)/$(GRAPH).pdf
TOOLMAN 	= $(DOCSRCDIR)/$(TOOLNAME).1
CONFMAN		= $(DOCSRCDIR)/$(CONFNAME).5
MANPAGES	= $(TOOLMAN) $(CONFMAN)

DOCS		= $(DOCPDF) $(DOTPDF) $(MANPAGES)

# Files grouped by generation mode
GLYPHS		= $(BUILDDIR)/$(NAME)-glyphlist.lua
CHARS		= $(BUILDDIR)/$(NAME)-characters.lua
STATUS		= $(BUILDDIR)/$(NAME)-status.lua
RESOURCES	= $(GLYPHS) $(CHARS) $(STATUS)
SOURCE		= $(DOCSRC) $(MANSRC) $(SRC) README COPYING Makefile NEWS $(RESOURCESCRIPTS)

# Files grouped by installation location
SCRIPTSTATUS	= $(TOOL) $(RESOURCESCRIPTS)
RUNSTATUS	= $(filter-out $(SCRIPTSTATUS),$(SRC))
DOCSTATUS	= $(DOCPDF) $(DOTPDF) README NEWS COPYING
SRCSTATUS	= $(DOCSRC) $(MANSRC) $(GRAPHSRC) Makefile

# The following definitions should be equivalent
# ALL_STATUS = $(RUNSTATUS) $(DOCSTATUS) $(SRCSTATUS)
ALL_STATUS 	= $(RESOURCES) $(SOURCE)

# Installation locations
FORMAT 		= luatex
SCRIPTDIR	= $(TEXMFROOT)/scripts/$(NAME)
RUNDIR		= $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR		= $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
MAN1DIR		= $(TEXMFROOT)/doc/man/man1/
MAN5DIR		= $(TEXMFROOT)/doc/man/man5/
SRCDIR		= $(TEXMFROOT)/source/$(FORMAT)/$(NAME)
TEXMFROOT	= $(shell kpsewhich --var-value TEXMFHOME)

# CTAN-friendly subdirectory for packaging
DISTDIR		= $(BUILDDIR)/$(NAME)

CTAN_ZIPFILE	= $(NAME).zip
TDS_ZIPFILE	= $(NAME).tds.zip
CTAN_ZIP	= $(BUILDDIR)/$(CTAN_ZIPFILE)
TDS_ZIP		= $(BUILDDIR)/$(TDS_ZIPFILE)
ZIPS		= $(CTAN_ZIP) $(TDS_ZIP)

LUA		= texlua

## For now the $(BUILDDIR) is hardcoded in the scripts
## but we might just as well pass it to them by as environment
## variables.
DO_GLYPHS	= $(LUA) $(GLYPHSCRIPT) > /dev/null
DO_CHARS	= $(LUA) $(CHARSCRIPT)  > /dev/null
DO_STATUS	= $(LUA) $(STATUSSCRIPT)  > /dev/null

show: showtargets

all: ctan
builddir: $(BUILDDIR)
resources: $(RESOURCES)
chars: $(CHARS)
status: $(STATUS)
ctan: $(CTAN_ZIP)
tds: $(TDS_ZIP)

graph: $(DOTPDF)
doc: $(DOCS)
pdf: $(DOCPDF)
manual: $(MANPAGES)

$(DOTPDF):
	@$(MAKE) -C $(DOCSRCDIR) graph

$(DOCPDF):
	@$(MAKE) -C $(DOCSRCDIR) doc

$(MANPAGES):
	@$(MAKE) -C $(DOCSRCDIR) manuals

$(GLYPHS): builddir
	$(DO_GLYPHS)

$(CHARS): builddir
	$(DO_CHARS)

$(STATUS): builddir
	$(DO_STATUS)

$(BUILDDIR): /dev/null
	mkdir -p $(BUILDDIR)

define make-ctandir
@$(RM) -rf $(DISTDIR)
@mkdir -p $(DISTDIR) && cp $(RESOURCES) $(DOCPDF) $(VGND) $(CONFDEMO) $(SOURCE) $(DISTDIR)
endef

$(CTAN_ZIP): $(DOCS) $(SOURCE) $(TDS_ZIP)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	$(make-ctandir)
	cd $(BUILDDIR) && zip -r -9 $(CTAN_ZIPFILE) $(TDS_ZIPFILE) $(NAME) >/dev/null

define run-install-doc
@mkdir -p $(DOCDIR) && cp -- $(DOCSTATUS) $(VGND) $(CONFDEMO) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp -- $(SRCSTATUS) $(SRCDIR)
@mkdir -p $(MAN1DIR) && cp -- $(TOOLMAN) $(MAN1DIR)
@mkdir -p $(MAN5DIR) && cp -- $(CONFMAN) $(MAN5DIR)
endef

define run-install
@mkdir -p $(SCRIPTDIR) && cp -- $(SCRIPTSTATUS) $(SCRIPTDIR)
@mkdir -p $(RUNDIR)    && cp -- $(RESOURCES) $(RUNSTATUS) $(RUNDIR)
endef

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(DOCS) $(ALL_STATUS)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	$(run-install-doc)
	$(run-install)
	@cd $(TEXMFROOT) && zip -9 ../$@ -r . >/dev/null
	@$(RM) -r -- $(TEXMFROOT)

.PHONY: install manifest clean mrproper show showtargets

install: $(ALL_STATUS)
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install-docs)
	$(run-install)

manifest:
	@echo "Source files:"
	@for f in $(SOURCE); do echo $$f; done
	@echo ""
	@echo "Derived files:"
	@for f in $(GENERATED); do echo $$f; done

CLEANEXTS	= log aux toc idx ind ilg out
CLEANME		= $(foreach ext,$(CLEANEXTS),$(wildcard *.$(ext)))
CLEANME		+= $(foreach ext,$(CLEANEXTS),$(wildcard $(BUILDDIR)/*$(ext)))

clean:
	$(MAKE) -C $(DOCSRCDIR) $@
	@$(RM) -- $(CLEANME)

mrproper: clean
	$(MAKE) -C $(DOCSRCDIR) $@
	@$(RM) -- $(GENERATED) $(ZIPS) $(GLYPHSOURCE)
	@$(RM) -r -- $(BUILDDIR)

###############################################################################
showtargets:
	@echo "Available targets:"
	@echo
	@echo "       doc         compile PDF documentation"
	@echo "       resources   generate resource files (chars, glyphs)"
	@echo
	@echo "       pdf         build luaotfload.pdf"
	@echo "       manual      crate manpages for luaotfload-tool(1) and"
	@echo "                   luaotfload.conf(5) (requires Docutils)"
	@echo "       graph       generate file graph (requires GraphViz)"
	@echo
	@echo "       chars       import char-def.lua as luaotfload-characters.lua"
	@echo "       status      create repository info (luaotfload-status.lua)"
	@echo
	@echo "       tds         package a zipball according to the TDS"
	@echo "       ctan        package a zipball for uploading to CTAN"
	@echo

# vim:noexpandtab:tabstop=8:shiftwidth=2

=== debian/changelog ===
texlive-base (2014.20140717-01ubuntu1) utopic; urgency=medium

  * texlive-pictures: Suggest prerex instead of recommending it.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Jul 2014 16:52:47 +0200

texlive-base (2014.20140717-01) unstable; urgency=medium

  * new upstream checkout:
    - fix thumbpdf and PDF-X/2014 (TL 2014 pdftex) incompatibility
      (Closes: #753239)
  * include mime-type def for dvi2tty, thanks Kevin Ryde (Closes: #753368)

 -- Norbert Preining <preining@debian.org>  Thu, 17 Jul 2014 00:39:00 +0900

texlive-base (2014.20140626-1) unstable; urgency=medium

  * new upstream checkout
  * drop tl-full -> xindy dep to suggests to help db51/53 transition
    (this is a temporary measure, see bug 658829)

 -- Norbert Preining <preining@debian.org>  Wed, 25 Jun 2014 16:02:30 +0900

texlive-base (2014.20140528-3) unstable; urgency=medium

  * update dhit code in libpaper snippet
  * disable luajittex (makes no sense at the moment)

 -- Norbert Preining <preining@debian.org>  Sat, 31 May 2014 23:26:14 +0900

texlive-base (2014.20140528-2) unstable; urgency=medium

  * do not include prerex, it is packaged separately (Closes: #749842)

 -- Norbert Preining <preining@debian.org>  Sat, 31 May 2014 08:46:59 +0900

texlive-base (2014.20140528-1) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 28 May 2014 17:52:12 +0900

texlive-base (2014.20140522-1) experimental; urgency=medium

  * fix xdvi paper configuration not working as expected
    now tl-paper reads top level, but writes to TEXMFSYSVAR
    and sysadm can override the tl-paper/libpaper setting in /etc/texmf
  * bump (build-)depends on tex-common >= 5

 -- Norbert Preining <preining@debian.org>  Thu, 22 May 2014 11:21:20 +0900

texlive-base (2014.20140513-1) experimental; urgency=medium

  * TeX Live 2014

 -- Norbert Preining <preining@debian.org>  Mon, 12 May 2014 15:45:21 +0900

texlive-base (2013.20140408-1) unstable; urgency=medium

  * re-include also latex-beamer and latex-xcolor and provide transitional
    packages, thanks again to OHURA Makoto! (Closes: #377046, #387642, 
    #405308, #408569, #305035, #402234, #399804, #245996, #617431, #499178)
  * texlive-pictures depends on t-l-r for xcolor (Closes: #741778)
  * upgrade logic in apt is broken, we need to break against old versions
    of texlive-base to guarantee proper upgrade from wheezy (Closes: #742189)
  * make sure that ocp files are present for omega (Closes: #742660)

 -- Norbert Preining <preining@debian.org>  Tue, 08 Apr 2014 10:51:31 +0900

texlive-base (2013.20140314-1) unstable; urgency=medium

  * record "url" move induced replaces/breaks
  * re-include pgf and provide transitional package, thanks for OHURA Makoto
    for his long time maintenance of the package and agreement to include
    it back into TeX Live packages.
    (Closes: #683817, #337722, #491546, #734792)

 -- Norbert Preining <preining@debian.org>  Fri, 14 Mar 2014 13:01:18 +0900

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 5), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.5
Homepage: http://www.tug.org/texlive/

Package: texlive-base
Architecture: all
Depends: libpaper-utils, xdg-utils, ${misc:Depends}, ucf, texlive-binaries (>= 2014.20140512), tex-common (>= 5)
Conflicts: texlive-lang-hungarian (<< 2014), ptex-bin (<< 2014), texlive-doc-bg (<< 2014), texlive-base (<< 2014), texlive-doc-de (<< 2013), texlive-lang-danish (<< 2013), texlive-publishers (<< 2014), texlive-games (<< 2014), texlive-latex-extra (<< 2014), texlive-doc-th (<< 2014), texlive-doc-ja (<< 2013), latex-xcolor (<< 2014), texlive-lang-mongolian (<< 2013), texlive-lang-african (<< 2014), texlive-lang-danish (<< 2014), texlive-pstricks (<< 2014), texlive-lang-czechslovak (<< 2014), texlive-doc-ja (<< 2014), texlive-luatex (<< 2014), texlive-pictures-doc (<< 2014), texlive-lang-chinese (<< 2014), texlive-lang-latvian (<< 2014), texlive-doc-base, texlive-fonts-recommended (<< 2014), texlive-lang-latin (<< 2014), texlive-publishers-doc (<< 2014), texlive-doc-de (<< 2014), texlive-lang-lithuanian (<< 2013), texlive-xetex (<< 2014), texlive-lang-armenian (<< 2013), texlive-lang-lithuanian (<< 2014), texlive-lang-hebrew (<< 2013), texlive-lang-hebrew (<< 2014), pgf (<< 2014), texlive-doc-ko (<< 2013), texlive-latex-base (<< 2014), texlive-lang-italian (<< 2014), texlive-lang-dutch (<< 2014), texlive-extra-utils (<< 2014), texlive-doc-bg (<< 2013), texlive-doc-uk (<< 2014), texlive-generic-recommended (<< 2014), texpower (<< 2014), texlive-lang-cjk (<< 2014), texlive-latex-recommended (<< 2014), texlive-doc-ru (<< 2014), texlive-doc-si (<< 2014), texlive-doc-it (<< 2014), texlive-doc-fi (<< 2013), texlive-lang-tibetan (<< 2014), texlive-lang-english (<< 2014), texlive-latex-recommended-doc (<< 2014), texlive-lang-croatian (<< 2013), texlive-lang-european (<< 2014), texlive-pictures (<< 2014), texlive-lang-all (<< 2014), texlive-doc-ko (<< 2014), texlive-lang-croatian (<< 2014), texlive-doc-cs+sk (<< 2013), texlive-lang-korean (<< 2014), texlive-doc-nl (<< 2014), pdfjam (<< 2014), texlive-lang-norwegian (<< 2013), texlive-doc-th (<< 2013), texlive-doc-en (<< 2014), texlive-lang-portuguese (<< 2014), texlive-doc-si (<< 2013), texlive-latex-base-doc (<< 2014), texlive-doc-es (<< 2013), texlive-doc-pl (<< 2013), texlive-lang-swedish (<< 2013), texlive-generic-extra (<< 2014), texlive-lang-dutch (<< 2013), texlive-lang-latin (<< 2013), texlive-doc-en (<< 2013), texlive-doc-fi (<< 2014), texlive-doc-zh (<< 2014), texlive-lang-swedish (<< 2014), texlive-doc-ru (<< 2013), texlive-latex-extra-doc (<< 2014), texlive-lang-vietnamese (<< 2014), texlive-doc-it (<< 2013), texlive-lang-finnish (<< 2014), texlive-doc-zh (<< 2013), texlive-lang-finnish (<< 2013), texlive-music (<< 2014), texlive-humanities-doc (<< 2014), texlive-metapost-doc (<< 2014), texlive-doc-vi (<< 2013), texlive-doc-rs (<< 2014), texlive-lang-vietnamese (<< 2013), texlive-lang-armenian (<< 2014), texlive-font-utils (<< 2014), texlive-lang-polish (<< 2014), texlive-full (<< 2014), texlive-doc-ar (<< 2013), texlive-doc-uk (<< 2013), texlive-common, texlive-doc-pt (<< 2014), texlive-doc-rs (<< 2013), texlive-lang-japanese (<< 2014), texlive-fonts-extra (<< 2014), texlive-lang-french (<< 2014), latex-sanskrit (<< 2014), texlive-lang-norwegian (<< 2014), texlive-humanities (<< 2014), texlive-doc-fr (<< 2013), texlive-lang-greek (<< 2014), texlive-lang-indic (<< 2014), texlive-doc-tr (<< 2014), texlive-lang-hungarian (<< 2013), texlive-math-extra (<< 2014), texlive-lang-other (<< 2014), texlive-lang-latvian (<< 2013), texlive-doc-es (<< 2014), texlive-lang-cyrillic (<< 2014), texlive-fonts-extra-doc (<< 2014), texlive-lang-arabic (<< 2014), texlive-bibtex-extra (<< 2014), texlive-doc-pl (<< 2014), texlive-doc-ar (<< 2014), texlive-doc-fr (<< 2014), texlive-lang-tibetan (<< 2013), texlive-latex3 (<< 2014), texlive-science-doc (<< 2014), texlive-formats-extra (<< 2014), latex-beamer (<< 2014), texlive-doc-vi (<< 2014), texlive-lang-mongolian (<< 2014), texlive-binaries (<< 2014.20140512), texlive-doc-cs+sk (<< 2014), texlive-lang-german (<< 2014), texlive-doc-tr (<< 2013), texlive-plain-extra (<< 2014), texlive-pstricks-doc (<< 2014), texlive-fonts-recommended-doc (<< 2014), texlive-doc-mn (<< 2013), texlive (<< 2014), texlive-doc-pt (<< 2013), thailatex (<< 2014), texlive-lang-spanish (<< 2014), texlive-science (<< 2014), texlive-doc-mn (<< 2014), texlive-omega (<< 2014), texlive-metapost (<< 2014), texlive-doc-nl (<< 2013)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: gv | postscript-viewer, ghostscript, perl-tk, xpdf-reader | pdf-viewer
Replaces: texlive-binaries (<< 2013), context (<< 2012.05.30.20121209), texlive-common (<< 2013), texlive-doc-en (<< 2013)
Breaks: texlive-omega (<< 2013.20140325), context (<< 2012.05.30.20121209)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX
   macros, Computer Modern fonts, and configuration for common drivers; no
   LaTeX.
 .
 This package includes the following CTAN packages:
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 amsfonts -- TeX fonts from the American Mathematical Society.
 .
 bibtex -- Process bibliographies for LaTeX, etc.
 .
 cm -- Computer Modern fonts.
 .
 dvipdfmx -- An extended version of dvipdfm.
 .
 dvipdfmx-def -- Configuration file for dvipdfmx graphics.
 .
 dvips -- A DVI to PostScript driver.
 .
 enctex -- A TeX extension that translates input on its way into TeX.
 .
 etex -- An extended version of TeX, from the NTS project.
 .
 etex-pkg -- E-TeX support package.
 .
 glyphlist --
 .
 gsftopk -- Convert "ghostscript fonts" to PK files.
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8.
 .
 hyphen-base --
 .
 ifluatex -- Provides the \ifluatex switch.
 .
 ifxetex -- Am I running under XeTeX?
 .
 knuth-lib -- A small library of MetaFont sources.
 .
 knuth-local -- Knuth's local information.
 .
 kpathsea -- Path searching library for TeX-related files.
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long.
 .
 luatex -- The LuaTeX engine.
 .
 makeindex -- Process index output to produce typesettable code.
 .
 metafont -- A system for specifying fonts.
 .
 mflogo -- LaTeX support for Metafont logo fonts.
 .
 mfware -- Supporting tools for use with Metafont.
 .
 pdftex -- A TeX extension for direct creation of PDF.
 .
 plain -- The Plain TeX format.
 .
 tetex -- scripts and files originally written for or included in teTeX
 .
 tex -- A sophisticated typesetting engine.
 .
 texconfig --
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 xdvi -- A DVI previewer for the X Window System.
 .
 texdoc -- Documentation access for TeX distributions.
 .

Package: texlive-generic-recommended
Architecture: all
Depends: texlive-base (>= 2014), ${misc:Depends}, texlive-base (>= 2014)
Breaks: texlive-base (<< 2014)
Description: TeX Live: Generic recommended packages
 Recommended packages that work with multiple formats.
 .
 This package includes the following CTAN packages:
 .
 epsf -- Simple macros for EPS inclusion.
 .
 fontname -- Scheme for naming fonts in TeX.
 .
 genmisc --
 .
 kastrup -- Convert numbers into binary, octal and hexadecimal.
 .
 multido -- A loop facility for Generic TeX.
 .
 path -- Typeset paths, making them breakable.
 .
 tex-ps -- TeX to PostScript generic macros and add-ons.
 .
 ulem -- Package for underlining.
 .

Package: texlive-latex-base
Architecture: all
Depends: texlive-base (>= 2014), ${misc:Depends}, texlive-binaries (>= 2014.20140512), texlive-base (>= 2014)
Recommends: texlive-latex-base-doc
Replaces: texlive-latex-recommended (<< 2013.20140227)
Breaks: texlive-base (<< 2014)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely
   used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts.
 .
 amscls -- AMS document classes for LaTeX.
 .
 amsmath -- AMS mathematical facilities for LaTeX.
 .
 babel -- Multilingual support for Plain TeX or LaTeX.
 .
 babel-english -- Babel support for English.
 .
 babelbib -- Multilingual bibliographies.
 .
 carlisle -- David Carlisle's small packages.
 .
 colortbl -- Add colour to LaTeX tables.
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e.
 .
 fix2col -- Fix miscellaneous two column mode features.
 .
 geometry -- Flexible and complete interface to document dimensions.
 .
 graphics -- Standard LaTeX graphics.
 .
 hyperref -- Extensive support for hypertext in LaTeX.
 .
 latex -- A TeX macro package that defines LaTeX.
 .
 latex-bin -- LaTeX executables and man pages.
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions.
 .
 latexconfig --
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc.
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX.
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support.
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek.
 .
 pdftex-def -- Colour and Graphics support for PDFTeX.
 .
 pslatex -- Use PostScript fonts by default.
 .
 psnfss -- Font support for common PostScript fonts.
 .
 pspicture -- PostScript picture support.
 .
 tools -- The LaTeX standard tools bundle.
 .
 url -- Verbatim with URL-sensitive line breaks.
 .

Package: texlive-latex-recommended
Architecture: all
Depends: texlive-binaries (>= 2014.20140512), ${misc:Depends}, texlive-base (>= 2014), texlive-latex-base (>= 2014)
Recommends: texlive-latex-recommended-doc, prosper (>= 1.00.4+cvs.2006.10.22)
Provides: latex-xcolor, texlive-latex3, latex-beamer
Breaks: texlive-base (<< 2014), texlive-latex-base (<< 2013.20140227)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread
   use.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins.
 .
 beamer -- A LaTeX class for producing presentations and slides.
 .
 booktabs -- Publication quality tables in LaTeX
 .
 caption -- Customising captions in floating environments.
 .
 cite -- Improved citation handling in LaTeX.
 .
 cmap -- Make PDF files searchable and copyable.
 .
 crop -- Support for cropmarks.
 .
 ctable -- Flexible typesetting of table and figure floats using key/value
   directives.
 .
 eso-pic -- Add picture commands (or backgrounds) to every page.
 .
 euler -- Use AMS Euler fonts for math.
 .
 extsizes -- Extend the standard classes' size options.
 .
 fancybox -- Variants of \fbox and other games with boxes.
 .
 fancyref -- A LaTeX package for fancy cross-referencing.
 .
 fancyvrb -- Sophisticated verbatim text.
 .
 float -- Improved interface for floating objects.
 .
 fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX.
 .
 fp -- Fixed point arithmetic.
 .
 index -- Extended index for LaTeX including multiple indexes.
 .
 jknapltx -- Miscellaneous packages by Joerg Knappen.
 .
 koma-script -- A bundle of versatile classes and packages
 .
 l3kernel -- LaTeX3 programming conventions.
 .
 l3packages -- High-level LaTeX3 concepts.
 .
 l3experimental -- Experimental LaTeX3 concepts.
 .
 listings -- Typeset source code listings using LaTeX.
 .
 mdwtools -- Miscellaneous tools by Mark Wooding.
 .
 memoir -- Typeset fiction, non-fiction and mathematical books.
 .
 metalogo -- Extended TeX logo macros.
 .
 mh -- The MH bundle
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-base

PACKAGES=texlive-base texlive-generic-recommended texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-omega texlive-xetex texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
METAPACKAGES=texlive texlive-full pgf latex-beamer latex-xcolor

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done
	rm -f debian/texlive-base.cnf
	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done
	mkdir -p debian/texlive-base/etc/texmf/texdoctk
	mv debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk/texdocrc.defaults \
	  debian/texlive-base/etc/texmf/texdoctk
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk
	# link pfb/afm files (type1 fonts) into /usr/share/fonts
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian
	dh_installdocs -p texlive-base README readme-txt.dir readme-html.dir debian/CHANGES.packaging
	# nasty trick
	# mptopdf needs a dump, but is a link to a script
	# we have to trick dh_installtex to accept it
	mv debian/texlive-latex-base/usr/bin/mptopdf	\
		debian/texlive-latex-base/usr/bin/mptopdf.bck
	ln -s pdftex debian/texlive-latex-base/usr/bin/mptopdf
	dh_installtex -Ntexlive-base -A --priority=10	\
		$(patsubst %,-N%,$(METAPACKAGES))	\
		--flavor=lsr:full,tree:texlive
	# nasty trick undoing
	rm debian/texlive-latex-base/usr/bin/mptopdf
	mv debian/texlive-latex-base/usr/bin/mptopdf.bck	\
		debian/texlive-latex-base/usr/bin/mptopdf
	# end of nasty trick
	dh_installtex -ptexlive-base --priority=10	\
		--flavor=format:build_all,lsr:full,tree:texlive
	# /usr/bin/mf has been created by dh_installtex as symlink to 
	# mf-nowin, but is also shipped by texlive-binaries, remove it.
	rm debian/texlive-base/usr/bin/mf
	# furthermore we want to have etex and pdfetex as links in 
	# texlive-binaries and not in texlive-base, remove them here
	# and add them via dh_link in texlive-binaries
	# this is just out of history, would be nicer to have changed
	rm debian/texlive-base/usr/bin/etex 
	rm debian/texlive-base/usr/bin/pdfetex
	# for the libpaper hook, install templates and
	# translations. No need to modify postrm. I hope it accepts
	# the missing config script
	dh_installdebconf -n
	cp debian/texlive-base.libpaper debian/texlive-base/etc/libpaper.d/texlive-base
	chmod a+x debian/texlive-base/etc/libpaper.d/texlive-base
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo
	# remove info files that are present in texlive-binaries
	# has to be done after the dh_installinfo call
	rm debian/texlive-base/usr/share/info/dvips.info*
	rm debian/texlive-base/usr/share/info/web2c.info*
	rm debian/texlive-base/usr/share/info/kpathsea.info*
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/info
	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
